package me.map.example.command;


import me.map.mojangbrigadier.Command;
import me.map.mojangbrigadier.context.CommandContext;
import me.map.newbrigadier.API.CommandSource;
import me.map.newbrigadier.API.command.BrigadierCommand;

import me.map.ultimatekingdom.API.KingdomSettings;
import me.map.ultimatekingdom.API.UltimateKingdom;
import me.map.ultimatekingdom.API.commands.arguments.KingdomPlayerArgumentType;

import me.map.ultimatekingdom.API.commands.arguments.exceptions.UnknownSetting;
import me.map.ultimatekingdom.API.objects.KingdomPlayer;
import me.map.ultimatekingdom.API.objects.PluginCommand;
import me.map.ultimatekingdom.API.settings.BooleanSetting;
import org.bukkit.entity.Player;


public class TestCommand extends PluginCommand {


    public TestCommand() {
        super("testcommand");
        setDescription(UltimateKingdom.translate(false, "test_command"));
        setPermission("kingdom.admin");  //optional
        setShowUsageOnFail(true); //optional
        setPlayerOnly(true); //optional
        register(); //optional
    }


    @Override
    protected void createCommand(BrigadierCommand command) {
                command
                        .then(argument("player", KingdomPlayerArgumentType.kingdomplayer())
                                .executes(c -> {
                                    final KingdomPlayer kingdomPlayer = c.getArgument("player",KingdomPlayer.class);
                                    BooleanSetting setting = KingdomSettings.kingdomplayer_is_mod;
                                    setting.setValue(Boolean.TRUE);

                                    try {
                                        kingdomPlayer.setSetting(setting);
                                    } catch (UnknownSetting e) {
                                        e.printStackTrace();
                                    }

                                    return Command.SINGLE_SUCCESS;
                                })

                        );
    }

    @Override
    public void onCommandComplete(CommandContext<CommandSource> commandContext, boolean b, int i) {
            //hier kan je nog wat doen na het uitvoeren van createCommand
    }
}
