package me.map.example.listener;

import me.map.ultimatekingdom.API.KingdomSettings;

import me.map.ultimatekingdom.API.events.KingdomPlayerLoadEvent;
import me.map.ultimatekingdom.API.objects.KingdomPlayer;
import me.map.ultimatekingdom.API.settings.BooleanSetting;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;

public class Luisteraar implements Listener {

    @EventHandler(priority = EventPriority.LOWEST)
    public void onJoin(KingdomPlayerLoadEvent event) {

        BooleanSetting setting = KingdomSettings.kingdomplayer_is_mod;
        KingdomPlayer user = event.getKingdomPlayer();

        if (user.hasSetting(setting)) {
            BooleanSetting userSetting = (BooleanSetting) user.getSetting(setting);
            System.out.println(userSetting.getDisplayValue());
        }

        if (user.getKingdom() != null) {
            System.out.println(user.getKingdom().getPrefixedName());
        }
    }
}
